--- title: "Delete Object" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/delete-objects/ description: "This API enables you to perform delete operation on objects stored in Stratus." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Delete Object ### Description This API allows you to delete the required [object](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/) stored in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket), and the required object is referred using its name. ### Request Details #### Request URL `PUT` {api-domain}/baas/v1/project/{project_id}/bucket/object/ - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) #### Request JSON You must send a JSON with its corresponding values as shown below. **Sample Payload** ```json { "objects": [ { "key": "file1.jpeg", "version_id": "{version_id}" }, { "key": "file2.jpeg" }, { "key": "file3.jpeg" } ], "ttl_in_seconds": 100 } ``` You will feed this **Request JSON** to your **Request Body**, and you need to provide the value of: - **key** ( , mandatory): This JSON key will contain the required object's name that needs to be deleted. - **ttl_in_seconds** (Number, optional): This JSON key will contain time in seconds. Once the `ttl_in_seconds` is reached the delete operation will be carried out. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.DELETE ### Response Details On successful execution, the response will contain the success message confirming the delete operation was successful. **Sample Request** ```bash curl -X PUT https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object?bucket_name=zylker-bucket/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" -H “Content-Type:application/json” -\-data-raw $’{“"status": "success","data":{"message": "Deletion successful"}"}' ``` **Sample Response** ```json { "status": "success", "data": { "message": "Deletion successful" } } ``` ### SDK Documentation * [Delete Objects - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/delete-objects/) * [Delete Objects - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/delete-objects/) * [Delete Objects - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/delete-objects/) * [Delete Objects - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/delete-object/) * [Delete Objects - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/delete-object/) * [Delete Objects - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/delete-object/) * [Delete Objects - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/delete-object/)